Bug 173752 - gnuplot refers to /usr/X11R6/lib/fonts/Type1
gnuplot refers to /usr/X11R6/lib/fonts/Type1
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnuplot (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-20 11:39 EST by Sammy
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 03:51:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sammy 2005-11-20 11:39:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux; X11; en_US) KHTML/3.5.0 (like Gecko)

Description of problem:
Gnu plot has "hard-coded" paths in  src/variable.c file to X11R6 fonts. Needs a 
patch for modular X where these fonts are under /usr/share/X11/fonts directory. 
 
Also, is the truetype directory correct? That is either called TTF or there is one 
in /usr/share/fonts. 
Thanks 

Version-Release number of selected component (if applicable):
gnuplot-4.0.0-10

How reproducible:
Always

Steps to Reproduce:
1. "strings  /usr/bin/gnuplot | grep R6" shows 
2. /usr/X11R6/lib/X11/fonts/truetype 
3. /usr/X11R6/lib/X11/fonts/Type1 
    

Additional info:
Comment 1 Ivana Varekova 2006-12-22 03:51:32 EST
Fixed in gnuplot-4.0.0-15.fc7.

Note You need to log in before you can comment on or make changes to this bug.